#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EAssetPropertyType {
    Unknown = 0,
    Float = 1,
    Int = 2,
    String = 3,
    MAX = 4,
}

impl EAssetPropertyType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Float as i32 => Some(Self::Float),
            x if x == Self::Int as i32 => Some(Self::Int),
            x if x == Self::String as i32 => Some(Self::String),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
